## module-build-cipux 0.4.0

=== debian/changelog ===
module-build-cipux (0.4.0-7) unstable; urgency=low

  * Improve package relations:
    + Relax (drop versioning) for packages satisifed even in oldstable:
      - libtest-pod-perl
      - libtest-pod-coverage-perl

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 May 2011 17:53:55 +0200

module-build-cipux (0.4.0-6) unstable; urgency=low

  * Improve package relations:
    + Stop declaring packages part of core Perl (even in oldstable):
      - libversion-perl
      - libtest-simple-perl
      - libmodule-build-perl
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Wrap Uploaders field in control file.
  * Bump debhelper compatibility level to 7 (satisfied even in
    oldstable, and cdbs need backporting for oldstable anyway).
    Tighten build-dependencies on debhelper and cdbs correspondingly.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 May 2011 17:19:59 +0200

module-build-cipux (0.4.0-5) unstable; urgency=low

  * Drop locally included CDBS snippets, and local implementation of
    DEB_MAINTAINER_MODE, all included in main cdbs now.
  * Tighten build-dependency on cdbs, due to above.
  * Rewrite copyright file using draft DEP5 rev. 135 format.
  * Use source format 3.0 (quilt).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Apr 2010 13:17:48 +0200

module-build-cipux (0.4.0-4) unstable; urgency=low

  * Update local CDBS snippets:
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
    + perl-build.mk:
      - Relax build-dependency on perl to be unversioned (see bug#525190
        and perl policy 3.8.3).
  * Build unversioned on cdbs and perl, thanks to CDBS dependency
    tracking.
  * Bump Standards-Version to 3.8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Feb 2010 16:44:45 +0100

module-build-cipux (0.4.0-3) unstable; urgency=low

  * Fix typo in README.source: new new.
  * Update local CDBS snippets:
    + Update package-relations.mk: Cleanup unversioned+versioned
      dependency mix. Improve whitespace cleanup. Rewrite and silence
      applying dependencies.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Bump policy compliance to standards-version 3.8.2.
  * Tighten build-dependency on debhelper to at least 6.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Aug 2009 12:07:51 +0200

module-build-cipux (0.4.0-2) unstable; urgency=low

  * Build-depend on recent perl-modules (favored over
    libtest-simple-perl).
  * Fix CDBS snippets to consistently use underscore (not dash) in
    internal variables, and to ignore debian/copyright itself in
    copyright check.
  * Update git-buildpackage configfile, enabling signed tags.
  * Add README.source.  Drop custom CDBS hints.
  * Bump standards-version to 3.8.1.
  * Update copuright and licensing info:
    + Add proper copyright header to debian/rules.
    + Add verbatim copyright statement
    + update copyright-hints
    + Add new tarball URL as (additional) source location
  * Update upstream homepage.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Mar 2009 14:54:02 +0200

module-build-cipux (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Mar 2009 12:01:42 +0100

module-build-cipux (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Feb 2009 18:02:28 +0100

module-build-cipux (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Use cdbs snippet upstream-tarball.mk to implement get-orig-source
    and more.
  * Update debian/copyright:
    + Bump licensing years of both upstream source and debian packaging
    + Update syntax to proposal v440 (no changes needed)
    + Merge entries with same authors and copyrights
  * Update copyright-hints (no new authors or licenses.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Feb 2009 23:30:42 +0100

module-build-cipux (0.2.5~svn2869-1) experimental; urgency=low

  * New upstream Subversion snapshot.
  * Update CDBS snippets:
    + Simplify internal variables
    + Ignore no files by default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
  * Update debian/copyright and copyright hints:
    + Add info on CDBS snippets (new owners, no new licenses)
    + Bump to version 413 of new format (no structural changes)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Dec 2008 21:42:32 +0100

module-build-cipux (0.2.5~svn2557-1) experimental; urgency=low

  * New upstream Subversion snapshot.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Aug 2008 11:09:13 +0200

module-build-cipux (0.2.3~svn2529-1) experimental; urgency=low

  * New upstream Subversion snapshot.
  * Depend (not only build-depend) on libversion-perl.  Add TODO note
    about dropping dependency and build-dependency after Lenny+1.
  * Semi-auto-update debian/control to update dependencies:
      DEB_MAINTAINER_MODE=1 fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Aug 2008 01:14:20 +0200


