=== debian/control ===
Source: module-build-cipux
Section: perl
Priority: optional
Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Christian Kuelker <christian.kuelker@cipworx.org>,
 Xavier Oswald <x.oswald@free.fr>
Build-Depends: devscripts (>= 2.10.7~),
 perl,
 perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 libreadonly-perl,
 libtest-perl-critic-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/module-build-cipux.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/module-build-cipux.git;a=summary
Homepage: http://www.cipux.org/

Package: libmodule-build-cipux-perl
Architecture: all
Depends: ${perl:Depends}, ${cdbs:Depends}, ${misc:Depends}
Recommends: libreadonly-xs-perl
Description: build helper for the user and resource management framework CipUX
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 CAT is CipUX Administration Tools.  Two CATs are provided officially
 with CipUX:
  - cipux-cat: generic web-based CAT
  - cipux-cat-moodle: CipUX plugin for Moodle
 These can be extended or replaced with custom tools.
 .
 This package contains Module::Build::CipUX, a subclass of Module::Build
 used to handle installation routines of the CipUX sources.
